CKSUM(1)

NAAM
cksum - bereken en controleer controlesommen van bestanden

SAMENVATTING
cksum [OPTIE]... [BESTAND]...

BESCHRIJVING

Toon of controleer controlesommen. Gebruik hiervoor standaard het 32 bit CRC algoritme.

Zonder BESTAND, of wanneer BESTAND '-' is, wordt standaard invoer gelezen.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-a, --algorithm=TYPE
    kies het te gebruiken algoritme. Zie TYPE hieronder.

--base64
    geef base6-gecodeerde verzamelingen uit, niet hexadecimaal

-c, --check
    controlesommen uit BESTAND(en) lezen en controleren

-l, --length=BITS
    lengte van de som in bits; mag niet groter zijn dan het maximum voor het BLAKE2 algoritme, en moet een veelvoud van 8 zijn

--raw
    geef een ruwe binaire verzameling uit, niet hexadecimaal

--tag
    genereer een controlesom in BSD-stijl (de standaard)

--untagged
    maak een omgekeerde stijl controlesom, zonder type.

-z, --zero
    elke regel afsluiten met 0-byte, niet met nieuwe regel, en bestandsnaam-escapes uitschakelen

  De volgende vijf opties gelden alleen bij het controleren van controlesommen:

--ignore-missing
    ontbrekende bestanden stilzwijgend overslaan

--quiet
    geen 'goed' tonen voor elk met succes gecontroleerd bestand

--status
    niets naar de uitvoer sturen; de afsluitwaarde toont succes

--strict
    met niet-nul afsluiten bij onjuist opgemaakte controlesom regels

-w, --warn
    waarschuwen bij onjuist opgemaakte controlesom regels

--debug
    geef aan welke implementatie werd gebruikt

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

  TYPE bepaalt het algoritme en standaard uitvoer formaat:

sysv
    (equivalent aan sum -s)

bsd (equivalent aan sum -r)

crc (equivalent aan chksum)

crc32b
    (alleen beschikbaar met chksum)

md5 (equivalent aan md5sum)

sha1
    (equivalent aan sha1sum)

sha224
    (equivalent aan sha224sum)

sha256
    (equivalent aan sha256sum)

sha384
    (equivalent met sha384sum)

sha512
    (equivalent met sha512sum)

blake2b
    (equivalent aan b2sum)

sm3 (alleen beschikbaar met chksum)

Om te controleren, moet de invoer de eerdere uitvoer van dit programma, of een equivalent los staand programma, zijn.

AUTEUR
Geschreven door Padraig Brady en Q. Frank Xia.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/cksum>
of lokaal via: info '(coreutils) cksum invocation'

Pakket gemaakt door Debian (9.7-2)
Copyright (c) 2025 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.